
/*
 * Machine Generated Library Vectors
 */

#ifndef NULL
#define NULL 0L
#endif

extern long _LibOpen(), _LibClose(), _LibExpunge();
extern long lOpenQInts();
extern long lCloseQInts();
extern long lSetQPri();
extern long lSetQVector();
extern long lGetHead();
extern long lGetTail();
extern long lGetSucc();
extern long lGetPred();
extern long lGetHeadOff();
extern long lGetTailOff();
extern long lGetSuccOff();
extern long lGetPredOff();
extern long lEnqueueLong();
extern long lEnqueueOffLong();
extern long lSearchFwdNode();
extern long lSearchRvsNode();
extern long lSearchFwdList();
extern long lSearchRvsList();
extern long lSearchFwdNodeOff();
extern long lSearchRvsNodeOff();
extern long lSearchFwdListOff();
extern long lSearchRvsListOff();
extern long lBZero();
extern long lBSet();
extern long lBMov();
extern long lBCmp();
extern long lWildCmp();
extern long lWaitMsg();
extern long lCheckMsg();
extern long lCheckPort();
extern long lLockAddr();
extern long lLockAddrB();
extern long lUnLockAddr();
extern long lUnLockAddrB();
extern long lDoSyncMsg();
extern long lFindName2();
extern long _lGetTaskData();
extern long _lFreeTaskData();
extern long _lDateToS();
extern long _lSetFileDate();
extern long _lOpenIPC();
extern long _lCloseIPC();
extern long _lSendIPC();
extern long _lSendIPC2();
extern long _lReplyIPC();
extern long _lFreeIPC();
extern long _lDoIPC2();
extern long _lParseCmd();
extern long _lFreeParseCmd();


/*
 * -30-6*X
 */

long (*LibVectors[])() = {
    _LibOpen, _LibClose, _LibExpunge, NULL,

    lOpenQInts       ,    /*  -30                        */
    lCloseQInts      ,    /*  -36  A0                    */
    lSetQPri         ,    /*  -42  D0/D1                 */
    lSetQVector      ,    /*  -48  D0/D1/D2/D3/A0        */
    NULL,
    NULL,
    NULL,
    NULL,
    lGetHead         ,    /*  -78  A0                    */
    lGetTail         ,    /*  -84  A0                    */
    lGetSucc         ,    /*  -90  A0                    */
    lGetPred         ,    /*  -96  A0                    */
    lGetHeadOff      ,    /*  -102  D0/D1                 */
    lGetTailOff      ,    /*  -108  D0/D1                 */
    lGetSuccOff      ,    /*  -114  D0/D1                 */
    lGetPredOff      ,    /*  -120  D0/D1                 */
    lEnqueueLong     ,    /*  -126  D0/D1/D2/D4           */
    lEnqueueOffLong  ,    /*  -132  D0/D1/D2/D3/D4        */
    lSearchFwdNode   ,    /*  -138  D0/D1/A1              */
    lSearchRvsNode   ,    /*  -144  D0/D1/A1              */
    lSearchFwdList   ,    /*  -150  D0/D1/A1              */
    lSearchRvsList   ,    /*  -156  D0/D1/A1              */
    lSearchFwdNodeOff,    /*  -162  D0/D1/A0/A1           */
    lSearchRvsNodeOff,    /*  -168  D0/D1/A0/A1           */
    lSearchFwdListOff,    /*  -174  D0/D1/A0/A1           */
    lSearchRvsListOff,    /*  -180  D0/D1/A0/A1           */
    NULL,
    NULL,
    NULL,
    NULL,
    lBZero           ,    /*  -210  D0/D1                 */
    lBSet            ,    /*  -216  D0/D1/A0              */
    lBMov            ,    /*  -222  D0/D1/A0              */
    lBCmp            ,    /*  -228  D0/D1/A0              */
    NULL,
    NULL,
    NULL,
    NULL,
    lWildCmp         ,    /*  -258  D0/D1                 */
    lWaitMsg         ,    /*  -264  A0                    */
    lCheckMsg        ,    /*  -270  A0                    */
    lCheckPort       ,    /*  -276  A0                    */
    lLockAddr        ,    /*  -282  A0                    */
    lLockAddrB       ,    /*  -288  D0/A0                 */
    lUnLockAddr      ,    /*  -294  A0                    */
    lUnLockAddrB     ,    /*  -300  D0/A0                 */
    lDoSyncMsg       ,    /*  -306  A0/A1                 */
    lFindName2       ,    /*  -312  D0/A0                 */
    _lGetTaskData    ,    /*  -318  D0/D1                 */
    _lFreeTaskData   ,    /*  -324  D0                    */
    _lDateToS        ,    /*  -330  D0/D1/A0              */
    _lSetFileDate    ,    /*  -336  D0/D1                 */
    NULL,
    NULL,
    NULL,
    NULL,
    _lOpenIPC        ,    /*  -366  D0/D1                 */
    _lCloseIPC       ,    /*  -372  D0                    */
    _lSendIPC        ,    /*  -378  D0/D1/D2/A0           */
    _lSendIPC2       ,    /*  -384  D0/D1                 */
    _lReplyIPC       ,    /*  -390  D0/D1/D2/A0           */
    _lFreeIPC        ,    /*  -396  D0                    */
    _lDoIPC2         ,    /*  -402  D0/D1/D2/A0           */
    _lParseCmd       ,    /*  -408  D0/D1/D2/D3/D4/A0     */
    _lFreeParseCmd   ,    /*  -414  D0                    */
    NULL,
    NULL,
    NULL,
    NULL,
    (long (*)())-1
};

